## NAME

gt-tirvish - Identify Terminal Inverted Repeat (TIR) elements,such as DNA transposons.

## SYNOPSIS

gt tirvish [option …] -index INDEXNAME

## DESCRIPTION

-index [string]

  specify the name of the enhanced suffix array index (mandatory) (default: undefined)

-seed [value]

  specify minimum seed length for exact repeats (default: 20)

-mintirlen [value]

  specify minimum length for each TIR (default: 100)

-maxtirlen [value]

  specify maximum length for each TIR (default: 1000)

-mintirdist [value]

  specify minimum distance of TIRs (default: 500)

-maxtirdist [value]

  specify maximum distance of TIRs (default: 10000)

-mat [value]

  specify matchscore for extension-alignment (default: 2)

-mis [value]

  specify mismatchscore for extension-alignment (default: -2)

-ins [value]

  specify insertionscore for extension-alignment (default: -3)

-del [value]

  specify deletionscore for extension-alignment (default: -3)

-xdrop [value]

  specify xdropbelowscore for extension-alignment (default: 5)

-similar [value]

  specify TIR similarity threshold in therange [1..100%] (default: 85.000000)

-overlaps […]

  specify no|best|longest|all (default: best)

-mintsd [value]

  specify minimum length for each TSD (default: 2)

-maxtsd [value]

  specify maximum length for each TSD (default: 11)

-vic [value]

  specify the number of nucleotides (to the left and to the right) that will be searched for TSDs around 5' and 3' boundary of predicted TIRs (default: 60)

-hmms

  profile HMM models for domain detection (separate by spaces, finish with --) in HMMER3 format Omit this option to disable pHMM search.

-pdomevalcutoff [value]

  global E-value cutoff for pHMM search default 1E-6

-pdomcutoff […]

  model-specific score cutoff choose from TC (trusted cutoff) | GA (gathering cutoff) | NONE (no cutoffs) (default: GA)

-maxgaplen [value]

  maximal allowed gap size between fragments (in amino acids) when chaining pHMM hits for a protein domain (default: 50)

-refseqs [string]

  specify the name of the gene sequences to scan for inside candidates (default: undefined)

-seqids [yes|no]

  use sequence descriptions instead of sequence numbers in GFF3 output (default: yes)

-md5 [yes|no]

  add MD5 hashes to seqids in GFF3 output (default: no)

-help

  display help for basic options and exit

-help+

  display help for all options and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.